unit u_generate5;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, sybcombobox;

type
  Tf_form5 = class(TForm)
    btn_help: TButton;
    btn_back: TButton;
    btn_next: TButton;
    btn_cancel: TButton;
    Image1: TImage;
    GroupBox1: TGroupBox;
    r_form_only: TRadioButton;
    r_form_procs: TRadioButton;
    c_form: TCheckBox;
    com_update_sproc: Tsybcombobox;
    com_insert_sproc: Tsybcombobox;
    com_delete_sproc: Tsybcombobox;
    lab_update: TLabel;
    lab_insert: TLabel;
    lab_delete: TLabel;
    chk_sprocs: TCheckBox;
    chk_update: TCheckBox;
    chk_insert: TCheckBox;
    chk_delete: TCheckBox;
    GroupBox2: TGroupBox;
    r_table: TRadioButton;
    r_query: TRadioButton;
    procedure btn_cancelClick(Sender: TObject);
    procedure btn_backClick(Sender: TObject);
    procedure btn_helpClick(Sender: TObject);
    procedure btn_nextClick(Sender: TObject);
    procedure r_form_onlyClick(Sender: TObject);
    procedure r_form_procsClick(Sender: TObject);
    procedure chk_sprocsClick(Sender: TObject);
    procedure chk_updateClick(Sender: TObject);
    procedure chk_insertClick(Sender: TObject);
    procedure chk_deleteClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    action :smallint;
  end;

var
  f_form5: Tf_form5;

implementation

{$R *.DFM}

procedure Tf_form5.btn_cancelClick(Sender: TObject);
begin
  action:=3;
  close;
end;

procedure Tf_form5.btn_backClick(Sender: TObject);
begin
  action:=1;
  close;
end;

procedure Tf_form5.btn_helpClick(Sender: TObject);
begin
  action:=0;
end;

procedure Tf_form5.btn_nextClick(Sender: TObject);
begin
  action:=4;
  close;
end;

procedure Tf_form5.r_form_onlyClick(Sender: TObject);
begin
  lab_delete.enabled:=false;
  com_delete_sproc.enabled:=false;
  lab_insert.enabled:=false;
  com_insert_sproc.enabled:=false;
  lab_update.enabled:=false;
  com_update_sproc.enabled:=false;

  chk_sprocs.enabled:=false;
  chk_sprocs.checked:=false;

  lab_update.enabled:=false;
  lab_insert.enabled:=false;
  lab_delete.enabled:=false;

  com_update_sproc.enabled:=false;
  com_insert_sproc.enabled:=false;
  com_delete_sproc.enabled:=false;
end;

procedure Tf_form5.r_form_procsClick(Sender: TObject);
begin
  chk_sprocs.enabled:=true;
end;

procedure Tf_form5.chk_sprocsClick(Sender: TObject);
begin
  if chk_sprocs.checked then
  begin
    lab_update.enabled:=true;
    lab_insert.enabled:=true;
    lab_delete.enabled:=true;

    com_update_sproc.enabled:=true;
    com_insert_sproc.enabled:=true;
    com_delete_sproc.enabled:=true
  end
  else
  begin
    lab_update.enabled:=false;
    lab_insert.enabled:=false;
    lab_delete.enabled:=false;

    com_update_sproc.enabled:=false;
    com_insert_sproc.enabled:=false;
    com_delete_sproc.enabled:=false
  end;

end;

procedure Tf_form5.chk_updateClick(Sender: TObject);
begin
  if chk_update.checked then
  begin
    lab_update.enabled:=true;
    com_update_sproc.enabled:=true
  end
  else
  begin
    lab_update.enabled:=false;
    com_update_sproc.enabled:=false
  end
end;

procedure Tf_form5.chk_insertClick(Sender: TObject);
begin
  if chk_insert.checked then
  begin
    lab_insert.enabled:=true;
    com_insert_sproc.enabled:=true
  end
  else
  begin
    lab_insert.enabled:=false;
    com_insert_sproc.enabled:=false
  end

end;

procedure Tf_form5.chk_deleteClick(Sender: TObject);
begin
  if chk_delete.checked then
  begin
    lab_delete.enabled:=true;
    com_delete_sproc.enabled:=true
  end
  else
  begin
    lab_delete.enabled:=false;
    com_delete_sproc.enabled:=false
  end
end;

end.
